using System.IO;

namespace Crysome.Common.Network.Packets.Client;

public class DirectLinkResponsePacket : IPacket
{
	public string Status { get; set; }

	public DirectLinkResponsePacket()
	{
	}

	public DirectLinkResponsePacket(string status)
	{
		Status = status;
	}

	public void Write(BinaryWriter w)
	{
		w.Write(Status ?? "");
	}

	public void Read(BinaryReader r)
	{
		Status = r.ReadString();
	}
}
